Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class AbstractSkin

    java.lang.Object
      org.richfaces.skin.AbstractSkin

All Implemented Interfaces:
  org.richfaces.skin.Skin

    public abstract class AbstractSkin

extends Object
implements org.richfaces.skin.Skin

Author:
  Nick Belaevski

Nested Class Summary

Nested classes/interfaces inherited from interface org.richfaces.skin.Skin
`org.richfaces.skin.Skin.Preferable`

Field Summary

Fields inherited from interface org.richfaces.skin.Skin
`ACTIVETAB_STYLE_FONT, ACTIVETAB_WEIGHT_FONT, ADDITIONAL_BACKGROUND_COLOR, BASE_SKIN, BUTTON_FAMILY_FONT, BUTTON_RADIUS_CORNER, BUTTON_SIZE_FONT, BUTTON_STYLE_FONT, BUTTON_WEIGHT_FONT, CONTROL_BACKGROUND_COLOR, CONTROL_BORDER_COLOR, DISABLED_TAB_STYLE_FONT, DISABLED_TAB_WEIGHT_FONT, EXTENDED_STYLE_SHEET, GENERAL_BACKGROUND_COLOR, GENERAL_LINK_COLOR, GENERAL_SIZE_FONT, GENERAL_STYLE_SHEET, GENERAL_TEXT_COLOR, GRADIENT_TYPE, HEADER_BACKGROUND_COLOR, HEADER_FAMILY_FONT, HEADER_GRADIENT_COLOR, HEADER_SIZE_FONT, HEADER_TEXT_COLOR, INTERFACE_LEVEL_3D, LOAD_STYLE_SHEETS, OVER_ALL_BACKGROUND, PANEL_RADIUS_CORNER, PANEL_TEXT_COLOR, PREFERABLE_TAB_POSITION, PREFERABLE_TAB_TEXT_DIRECTION, PREFERABLE_TAB_TEXT_ORIENTATION, SELECT_BACKGROUND_COLOR, SELECT_CONTROL_COLOR, SHADOW_BACKGROUND_COLOR, SHADOW_OPACITY, TAB_BACKGROUND_COLOR, TAB_FAMILY_FONT, TAB_RADIUS_CORNER, TAB_SIZE_FONT, TAB_STYLE_FONT, TAB_WEIGHT_FONT, TABLE_BACKGROUND_COLOR, TABLE_BORDER_COLOR, TRIM_COLOR`

Constructor Summary
`AbstractSkin()`

Method Summary
`protected Integer` | `decodeColor(Object value)`
`protected Integer` | `decodeInteger(Object value)`
`Integer` | `getColorParameter(javax.faces.context.FacesContext context, String name)`
`Integer` | `getColorParameter(javax.faces.context.FacesContext context, String name, Object defaultValue)`
`Integer` | `getIntegerParameter(javax.faces.context.FacesContext context, String name)`
`Integer` | `getIntegerParameter(javax.faces.context.FacesContext context, String name, Object defaultValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.skin.Skin
`containsProperty, getName, getParameter, getParameter, hashCode`

Constructor Detail

### AbstractSkin

    public AbstractSkin()

Method Detail

### decodeColor

    protected Integer decodeColor(Object value)

### decodeInteger

    protected Integer decodeInteger(Object value)

### getColorParameter

    public Integer getColorParameter(javax.faces.context.FacesContext context,
                                     String name)

  Specified by:
    `getColorParameter` in interface `org.richfaces.skin.Skin`

### getColorParameter

    public Integer getColorParameter(javax.faces.context.FacesContext context,
                                     String name,
                                     Object defaultValue)

  Specified by:
    `getColorParameter` in interface `org.richfaces.skin.Skin`

### getIntegerParameter

    public Integer getIntegerParameter(javax.faces.context.FacesContext context,
                                       String name)

  Specified by:
    `getIntegerParameter` in interface `org.richfaces.skin.Skin`

### getIntegerParameter

    public Integer getIntegerParameter(javax.faces.context.FacesContext context,
                                       String name,
                                       Object defaultValue)

  Specified by:
    `getIntegerParameter` in interface `org.richfaces.skin.Skin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.